 import Vue from 'vue'
 import Vuex from 'vuex'

Vue.use(Vuex)
const store = new Vuex.Store({
    state: {
		yuyueData:'',
		carInfo:'',
		ckshopInfo:'',
		userInfo:'',
		wxOpenData:'',
		exitNum:'',
		shareID:'',
	},
	getters:{
		getyuyueData(state){
			return state.yuyueData
	    },
	    getcarInfo(state){
	    	return state.carInfo
	    },
		getckshopInfo(state){
			return state.ckshopInfo
		},
		getuserInfo(state){
			return state.userInfo
		},
		getwxOpenData(state){
			return state.wxOpenData
		},
		getexitNum(state){
			return state.exitNum
		},
		getshareID(state){
			return state.shareID
		}
    },
    mutations: {
		mutationsyuyueData(state,data){
			state.yuyueData=data
		},
		mutationscarInfo(state,data){
			state.carInfo=data
		},
		mutationsckshopInfo(state,data){
			state.ckshopInfo=data
		},
		mutationsuserInfo(state,data){
			state.userInfo=data
		},
		mutationswxOpenData(state,data){
			state.wxOpenData=data
		},
		mutationsexitNum(state,data){
			state.exitNum=data
		},
		mutationsshareID(state,data){
			state.shareID=data
		},
	},
    actions: {
		actionsyuyueData(context,playload){
			context.commit('mutationsyuyueData',playload)
		},
		actionscarInfo(context,playload){
			context.commit('mutationscarInfo',playload)
		},
		actionsckshopInfo(context,playload){
			context.commit('mutationsckshopInfo',playload)
		},
		actionsuserInfo(context,playload){
			context.commit('mutationsuserInfo',playload)
		},
		actionswxOpenData(context,playload){
			context.commit('mutationswxOpenData',playload)
		},
		actionsexitNum(context,playload){
			context.commit('mutationsexitNum',playload)
		},
		actionshareID(context,playload){
			context.commit('mutationshareID',playload)
		},
	}
})
export default store